Get a job by ID
curl --request GET \
--url https://api.tapti.ai/fusion/jobs/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tapti.ai/fusion/jobs/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tapti.ai/fusion/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "47f85f19-60fc-4524-9c99-42a96c286d86",
"status": "pending",
"job_type": "fetch_content",
"payload": {
"url": "https://www.google.com"
},
"result": {
"contentIds": [
"content123",
"content456"
],
"contentGroupIds": [
"group789",
"group101"
]
},
"attempts": 1,
"created_at": "2025-03-24T13:23:18.248Z",
"updated_at": "2025-03-24T13:23:18.248Z"
}Jobs
Get Job By Id
GET
/
fusion
/
jobs
/
{id}
Get a job by ID
Authorizations
Path Parameters
The ID of the job to get
Example:
"47f85f19-60fc-4524-9c99-42a96c286d86"
Response
Job fetched successfully
The ID of the job
Example:
"47f85f19-60fc-4524-9c99-42a96c286d86"
The status of the job
Example:
"pending"
The type of the job
Example:
"fetch_content"
The payload of the job
Example:
{ "url": "https://www.google.com" }
The result of the job
Example:
{
"contentIds": ["content123", "content456"],
"contentGroupIds": ["group789", "group101"]
}
The number of attempts of the job
Example:
1
The created at of the job
Example:
"2025-03-24T13:23:18.248Z"
The updated at of the job
Example:
"2025-03-24T13:23:18.248Z"
